%define	major 4
%define libname	%mklibname pst %{major}
%define develname %mklibname -d pst

Summary:            Utilities to convert Outlook .pst files to other formats
Name:               libpst
Version:            0.6.46
Release:            %mkrel 1
License:            GPLv2+
Group:              Networking/Mail
Source:             http://www.five-ten-sg.com/%{name}/packages/%{name}-%{version}.tar.gz
Patch0:	            libpst-0.6.45-linkage.patch
BuildRoot:          %{_tmppath}/%{name}-%{version}-%{release}
URL:                http://www.five-ten-sg.com/%{name}/
Requires:           ImageMagick
Requires:	    %{libname} = %{epoch}:%{version}
BuildRequires:      ImageMagick
BuildRequires:      freetype-devel
BuildRequires:      gd-devel
BuildRequires:      jpeg-devel
BuildRequires:      zlib-devel
BuildRequires:      gettext-devel
BuildRequires:      python-devel
BuildRequires:      libboost-devel
Obsoletes:	    pst-utils
Provides:	    pst-utils
Epoch:	1

%description
The Libpst utilities include readpst which can convert email messages
to both mbox and MH mailbox formats, pst2ldif which can convert the
contacts to .ldif format for import into ldap databases, and pst2dii
which can convert email messages to the DII load file format used by
Summation.

%package -n	%{libname}
Summary:	A shared library for .pst files support
Group:          System/Libraries

%description -n	%{libname}
Library needed for running libpst tools.

%package -n	%{develname}
Summary:	Library and header files for the libpst library
Group:		Development/C
Provides:	%{name}-devel = %{epoch}:%{version}
Requires:	%{libname} = %{epoch}:%{version}

%description -n	%{develname}
Library and header files for the libpst library.

%package -n python-%name
Summary:	Python binding for the libpst library
Group:		Development/Python
Requires:	%libname = %epoch:%version-%release

%description -n	python-%name
Python module for using pst files.

%prep
%setup -q
%patch0 -p0

%build
%configure2_5x --enable-libpst-shared --enable-shared
%make

%install
rm -rf %{buildroot}
%makeinstall_std
rm -f %buildroot%py_platsitedir/_libpst.a

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man5/*
%docdir %{_datadir}/doc/%{name}-%{version}
%{_datadir}/doc/%{name}-%{version}

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%{_includedir}/libpst-4/
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/pkgconfig/%{name}.pc

%files -n python-%name
%defattr(-,root,root)
%py_platsitedir/_libpst.so
%py_platsitedir/_libpst.la


%changelog
* Tue Feb 16 2010 Götz Waschk <waschk@mandriva.org> 1:0.6.46-1mdv2010.1
+ Revision: 506451
- new version

* Mon Feb 08 2010 Anssi Hannula <anssi@mandriva.org> 1:0.6.45-3mdv2010.1
+ Revision: 501882
- rebuild for new boost

* Wed Feb 03 2010 Funda Wang <fwang@mandriva.org> 1:0.6.45-2mdv2010.1
+ Revision: 500297
- use patch rather than env

* Thu Dec 24 2009 Götz Waschk <waschk@mandriva.org> 1:0.6.45-1mdv2010.1
+ Revision: 482019
- update to new version 0.6.45

* Tue Sep 22 2009 Götz Waschk <waschk@mandriva.org> 1:0.6.44-1mdv2010.0
+ Revision: 447187
- update to new version 0.6.44

* Fri Aug 21 2009 Funda Wang <fwang@mandriva.org> 1:0.6.41-3mdv2010.0
+ Revision: 418827
- rebuild for new libboost

* Wed Jul 29 2009 Götz Waschk <waschk@mandriva.org> 1:0.6.41-2mdv2010.0
+ Revision: 402910
- fix python dep

* Tue Jul 28 2009 Götz Waschk <waschk@mandriva.org> 1:0.6.41-1mdv2010.0
+ Revision: 401413
- update build deps
- new version
- drop patches
- new major
- update file list
- add python module

* Wed Mar 25 2009 Emmanuel Andry <eandry@mandriva.org> 1:0.6.27-4mdv2009.1
+ Revision: 361174
- fix string format not literal (fix from upstream git)

* Tue Mar 24 2009 Emmanuel Andry <eandry@mandriva.org> 1:0.6.27-3mdv2009.1
+ Revision: 360890
- add P0 to fix compatibility with evolution pst-import plugin

* Tue Mar 24 2009 Emmanuel Andry <eandry@mandriva.org> 1:0.6.27-2mdv2009.1
+ Revision: 360848
- deal with epoch and libs

* Tue Mar 24 2009 Emmanuel Andry <eandry@mandriva.org> 1:0.6.27-1mdv2009.1
+ Revision: 360817
- downgrade to 0.6.27, the current version has an incompatible ABI with evolution plugin
- drop uneeded patch

* Sun Mar 22 2009 Emmanuel Andry <eandry@mandriva.org> 0.6.34-3mdv2009.1
+ Revision: 360553
- BR gettext-devel
- libpst replaces pst-utils
- diff P0 because define.h is not packaged

* Sun Mar 22 2009 Emmanuel Andry <eandry@mandriva.org> 0.6.34-2mdv2009.1
+ Revision: 360504
- package libification

* Sun Mar 22 2009 Emmanuel Andry <eandry@mandriva.org> 0.6.34-1mdv2009.1
+ Revision: 360420
- import libpst


